#!/usr/bin/env python3

import os
import sys

from _config import data_sources


def run_reconcile(extra_args):
    import beancount_import.webserver

    journal_dir = os.environ["BEANCOUNT_IMPORT_JOURNAL_DIR"]

    beancount_import.webserver.main(
        extra_args,
        journal_input=os.path.join(journal_dir, "main.beancount"),
        ignored_journal=os.path.join(journal_dir, "ignored.beancount"),
        default_output=os.path.join(journal_dir, "main.beancount"),
        open_account_output_map=[
            (".*", os.path.join(journal_dir, "accounts.beancount")),
        ],
        balance_account_output_map=[
            (".*", os.path.join(journal_dir, "accounts.beancount")),
        ],
        price_output=os.path.join(journal_dir, "prices.beancount"),
        data_sources=data_sources,
    )


if __name__ == "__main__":
    run_reconcile(sys.argv[1:])
